Bug Hunting Session
Bug 103881 - Font scaling with HarfBuzz common layout breaks down for huge fonts
Summary: Font scaling with HarfBuzz common layout breaks down for huge fonts
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Font-Rendering HarfBuzz-regressions
  Show dependency treegraph
 
Reported: 2016-11-12 05:42 UTC by V Stuart Foote
Modified: 2016-11-16 05:10 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
ODF 1.1 document with large glyphs from OOo issue 47675 (9.40 KB, application/vnd.oasis.opendocument.text)
2016-11-12 05:44 UTC, V Stuart Foote
Details
old layout with OpenGL (16.68 KB, application/force-download)
2016-11-12 05:45 UTC, V Stuart Foote
Details
new layout with OpenGL (7.74 KB, application/force-download)
2016-11-12 05:46 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2016-11-12 05:42:10 UTC
Description:
With HarfBuzz common layout and OpenGL or GDI+ rendering scaling of large fonts "huge" are no longer rendered. 

Steps to Reproduce:
Open sample document attached from OOo issue 47675
With new layout
With old layout

Actual Results:  
With new layout the base line is miscalculated and glyphs extend beyond top margin, also glyphs for the second line of text are not rendered.

Expected Results:
New layout would mostly match old layout.


Reproducible: Always

User Profile Reset: yes

Additional Info:
Work on bug 103725 brings reasonable scaling for most text. The routines for scaling "HUGE" text are not correct.


User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:49.0) Gecko/20100101 Firefox/49.0
Comment 1 V Stuart Foote 2016-11-12 05:44:10 UTC
Created attachment 128681 [details]
ODF 1.1 document with large glyphs from OOo issue 47675

https://bz.apache.org/ooo/show_bug.cgi?id=47675
Comment 2 V Stuart Foote 2016-11-12 05:45:43 UTC
Created attachment 128682 [details]
old layout with OpenGL

example document old layout with OpenGL
Comment 3 V Stuart Foote 2016-11-12 05:46:12 UTC
Created attachment 128683 [details]
new layout with OpenGL
Comment 4 V Stuart Foote 2016-11-12 06:07:39 UTC
On Windows 10 Pro 64-bit (1604) en-US with
Version: 5.3.0.0.alpha1+
Build ID: ba8a41bac3765f7b3562d357aeb13f752ea14ba4
CPU Threads: 8; OS Version: Windows 6.2; UI Render: GL; Layout Engine: new; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-11-11_22:52:38
Locale: en-US (en_US); Calc: CL
Comment 5 V Stuart Foote 2016-11-16 05:10:46 UTC
Resolved Fixed, believe by

https://cgit.freedesktop.org/libreoffice/core/commit/?id=a5750d92b2136d60d698b41ef5760f2efac0ffce

On Windows 10 Pro 64-bit (1607) en-US with
Version: 5.3.0.0.alpha1+
Build ID: 84f644eee78106f01486098d446d9163b62927eb
CPU Threads: 8; OS Version: Windows 6.2; UI Render: GL; Layout Engine: new; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-11-15_23:52:44
Locale: en-US (en_US); Calc: CL